﻿using System;
namespace Com.Piwigo.Lib.IService
{
    public interface IPwgAlbumsService
    {
        Boolean AddAlbum(String AlbumName, Int32? upperCatId, ref Int32 newId, ref String messageInfo);
        System.Collections.Generic.List<Com.Piwigo.Lib.DTO.PwgAlbum> GetAdminListOfAlbum();
        System.Collections.Generic.List<Com.Piwigo.Lib.DTO.PwgAlbum> GetListOfAlbum(Int32? CatgeroryId, Boolean? Recursive, Boolean? PublicOnly);
        System.Collections.Generic.List<Com.Piwigo.Lib.DTO.PwgImage> GetListOfImagesFormAlbum(Int32 AlbumId, Boolean? recursive, Int32? perPage, Int32? Page, Int32? Order, Int32? minRate, Int32? maxRate, Int32? minHit, Int32? maxHit, DateTime? minDateAvailable, DateTime? maxDateAvailable, DateTime? minDateCreated, DateTime? maxDateCreated, Int32? minRatio, Int32? maxRatio, Boolean? withThumbnail, ref Int32 PageReturned, ref Int32 PerPageeReturned, ref Int32 CountReturned);
        Boolean UpdateAlbumInfo(Int32 IdCat, String AlbumName, String AlbumComment);
        Boolean DeleteAlbum(Int32 AlbumId, String SecurityToken, Com.Piwigo.Lib.DTO.PwgAlbumPhotoDeletionModeEnum PhotoDeletionMode);
        Boolean MoveAlbum(System.Collections.Generic.List<Int32> AlbumsId, Int32 parentAlbumId, String SecurityToken);
    }
}
