﻿using System;
using Com.Piwigo.Lib.DTO;
using System.ComponentModel;

namespace Com.Piwigo.Uploader.DTO
{
    public class SelectedListItem<T,Tid>
    {
        public String ShowedValue { get;set;}
        public Tid Id             { get;set;}
        public Boolean isSelected { get;set;}
        public T Data             { get;set;}

        public SelectedListItem()
        { }
    }

    public sealed class SelectedAlbumListItem : SelectedListItem<PwgAlbum, Int32>
    {        
        public SelectedAlbumListItem()
        { }
    }

    public sealed class SelectedPwgAlbumList : BindingList<SelectedAlbumListItem>
    {        
    }



}
