﻿using System;
using System.Collections.Generic;
using Com.Piwigo.Lib.IService;
using Com.Piwigo.Wpf.DTO;
using Com.Piwigo.Lib.DTO;
using Com.Piwigo.Wpf.DTO.Helper;
using Com.Piwigo.Wpf.Helper;
using Com.Piwigo.Wpf.Service;
using System.Windows.Input;

namespace Com.Piwigo.Wpf.Command
{
    public static class PwgCmdSelectImageInAlbum
    {
        public static DelegateCommand Command = new DelegateCommand(Execute, CanExecute);

        private static void Execute(object obj)
        {
            foreach (PwgImageWPF imgWpf in PwgModelManager.Instance.ImageList)
            {
                if (imgWpf.IsSelected)
                {
                    PwgModelManager.Instance.ImageShown = imgWpf;
                }                
            }
        }

        private static bool CanExecute(object obj)
        {
            bool ret = false;

            if (PwgModelManager.Instance.ImageList != null)
            {
                ret = (PwgModelManager.Instance.ImageList.Count >= 0);
            }
            return ret;   
        }
    }
}
