﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Com.Piwigo.Lib.DTO;

namespace Com.Piwigo.Wpf.DTO.Helper
{
    public static class PwgAlbumWPFHelper
    {
        public static void ConvertPwgAlbumToPwgAlbumWPF(PwgAlbum aPwgAlbum,
                                                       ref PwgAlbumWPF aPwgAlbumWPF)
        {
            if (aPwgAlbum != null)
            {
                if (aPwgAlbumWPF == null)
                {
                    aPwgAlbumWPF = new PwgAlbumWPF();
                }
                aPwgAlbumWPF.DeepImagesCount = aPwgAlbum.DeepImagesCount;
                aPwgAlbumWPF.Id = aPwgAlbum.Id;
                aPwgAlbumWPF.ImagesCount = aPwgAlbum.ImagesCount;
                aPwgAlbumWPF.LastDate = aPwgAlbum.LastDate;
                aPwgAlbumWPF.Name = aPwgAlbum.Name;
                aPwgAlbumWPF.SubAlbumsCount = aPwgAlbum.SubAlbumsCount;
                aPwgAlbumWPF.Url = aPwgAlbum.Url;

                if (aPwgAlbumWPF.UpperAlbumsId == null)
                {
                    aPwgAlbumWPF.UpperAlbumsId = new System.Collections.ObjectModel.ObservableCollection<Int32>();
                }
                else
                {
                    aPwgAlbumWPF.UpperAlbumsId.Clear();
                }

                foreach (Int32 i in aPwgAlbum.UpperAlbumsId)
                {
                    aPwgAlbumWPF.UpperAlbumsId.Add(i);
                }
            }

        }
    }
}
