﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Com.Piwigo.Lib.DTO;

namespace Com.Piwigo.Wpf.DTO.Helper
{
    public static class PwgTagListWPFHelper
    {
        public static void AddPwgTagToList(PwgTag aPwgAlbum,
                                           ref PwgTagListWPF aPwgAlbumListWPF)
        {
            if (aPwgAlbum != null)
            {
                if (aPwgAlbumListWPF == null)
                {
                    aPwgAlbumListWPF = new PwgTagListWPF();
                }

                PwgTagWPF pwgTag = new PwgTagWPF();
                PwgTagWPFHelper.ConvertPwgTagToPwgTagWPF(aPwgAlbum, ref pwgTag);

                aPwgAlbumListWPF.Add(pwgTag);
            }
        }

        public static void ConvertPwgTagListToPwgTagListWPF(List<PwgTag> aPwgTagList, ref PwgTagListWPF aPwgTagListWPF)
        {
            if (aPwgTagList != null)
            {
                if (aPwgTagListWPF == null)
                {
                    aPwgTagListWPF = new PwgTagListWPF();
                }

                foreach (PwgTag pwgTag in aPwgTagList)
                {
                    AddPwgTagToList(pwgTag, ref aPwgTagListWPF);
                }
            }
        }
    }
}
