﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;
using Com.Piwigo.Lib.DTO;

namespace Com.Piwigo.Lib.Proxy.Response
{
    //todo : admin list deifferent !!!!
//    <rsp stat="ok">
//<Albums>
//    <Album id="1" nb_images="34" total_nb_images="34" date_last="2011-04-12 00:39:03" max_date_last="2011-04-12 00:39:03" nb_Albums="1" url="http://photo.bayral.fr/index.php?/Album/1">
//        <name>2011 01 02 Dimanche au Ski</name>
//        <uppercats>1</uppercats>
//        <global_rank>1</global_rank>
//        <comment></comment></Album>
//    <Album id="12" nb_images="0" total_nb_images="0" nb_Albums="0" url="http://photo.bayral.fr/index.php?/Album/12">
//        <name>test</name>
//        <uppercats>1,12</uppercats>
//        <global_rank>1.1</global_rank>
//        <id_uppercat>1</id_uppercat>
//        <comment></comment></Album>
//    <Album id="2" nb_images="8" total_nb_images="8" date_last="2011-04-12 00:52:41" max_date_last="2011-04-12 00:52:41" nb_Albums="0" url="http://photo.bayral.fr/index.php?/Album/2">
//        <name>2010 12 Photos Noé Loic</name>
//        <uppercats>2</uppercats>
//        <global_rank>2</global_rank>
//        <comment></comment></Album>
//    <Album id="3" nb_images="99" total_nb_images="99" date_last="2011-04-12 23:59:28" max_date_last="2011-04-12 23:59:28" nb_Albums="0" url="http://photo.bayral.fr/index.php?/Album/3">
//        <name>2010 12 24-25 Noel</name>
//        <uppercats>3</uppercats>
//        <global_rank>3</global_rank>
//        <comment></comment></Album>
//    <Album id="5" nb_images="14" total_nb_images="14" date_last="2011-04-13 00:13:06" max_date_last="2011-04-13 00:13:06" nb_Albums="0" url="http://photo.bayral.fr/index.php?/Album/5">
//        <name>2010 11 Photos Noé Loic</name>
//        <uppercats>5</uppercats>
//        <global_rank>4</global_rank>
//        <comment></comment></Album>
//    <Album id="6" nb_images="45" total_nb_images="45" date_last="2011-04-13 22:59:49" max_date_last="2011-04-13 22:59:49" nb_Albums="0" url="http://photo.bayral.fr/index.php?/Album/6">
//        <name>2010 11 23 28 aniversaire Noé 4 ans Famille</name>
//        <uppercats>6</uppercats>
//        <global_rank>5</global_rank>
//        <comment></comment></Album></Albums>
//</rsp>
    [Serializable()]
    [XmlRoot(ElementName = "category")]
    public class PwgAlbumProxyResponse
    {
        [XmlAttribute(AttributeName = "id")]
        public Int32 Id { get; set; }
        [XmlElement(ElementName = "uppercats")]
        public String UpperAlbumId { get; set; }
        [XmlElement (ElementName = "name")]
        public String Name { get; set; }
        [XmlAttribute(AttributeName = "url")]
        public String Url { get; set; }
        [XmlAttribute(AttributeName = "nb_images")]
        public Int64 ImagesCount { get; set; }
        [XmlAttribute(AttributeName = "total_nb_images")]
        public Int64 DeepImagesCount { get; set; }
        [XmlAttribute(AttributeName = "nb_Albums")]
        public Int64 SubAlbumsCount { get; set; }
        [XmlAttribute(AttributeName = "max_date_last")]
        public String LastDate { get; set; }
    }

    [Serializable()]
    [XmlRoot(ElementName = "rsp")]
    public class PwgAlbumsProxyResponse : PwgBaseProxyReponse
    {
        [XmlArray("categories")]
        [XmlArrayItem("category")]
        public PwgAlbumProxyResponse[] Albums { get; set; }
    }
}
