﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace Com.Piwigo.Wpf.DTO
{
    public class LocalPwgAlbumListWPF : AsyncObservableCollection<LocalPwgAlbumWPF>
    {}

    public class LocalPwgAlbumWPF : INotifyPropertyChanged
    {
        private Int32 _id;
        public Int32 Id
        {
            set { _id = value; OnPropertyChanged("Id"); }
            get { return _id; }
        }

        private String _messageInfo;
        public String MessageInfo
        {
            set { _messageInfo = value; OnPropertyChanged("MessageInfo"); }
            get { return _messageInfo; }
        }

        private String _name;
        public String Name
        {
            set { _name = value; OnPropertyChanged("Name"); }
            get { return _name; }
        }

        private String _localDir;
        public String LocalDir
        {
            set { _localDir = value; OnPropertyChanged("LocalDir"); }
            get { return _localDir; }
        }

        private Int32 _upperCatId;
        public Int32 UpperCatId
        {
            set { _upperCatId = value; OnPropertyChanged("UpperCatId"); }
            get { return _upperCatId; }
        }

        private LocalPwgAlbumListWPF _subAlbums;
        public LocalPwgAlbumListWPF SubAlbums
        {
            set { _subAlbums = value; OnPropertyChanged("SubAlbums"); }
            get { return _subAlbums; }
        }

        private LocalPwgImageListWPF _localImages;
        public LocalPwgImageListWPF LocalImages
        {
            set { _localImages = value; OnPropertyChanged("LocalImages"); }
            get { return _localImages; }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(String info)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(info));
        }
    }
}
