﻿using System;
using System.Windows.Forms;

using Com.Piwigo.Lib.IService;
using Com.Piwigo.Lib.DTO;
using System.Collections.Generic;
using System.IO;


namespace TestPiwigoLib
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        }

        private void button1_Click(object sender, EventArgs e)
        {
            UriBuilder urib = new UriBuilder();
            urib.Host = tbServer.Text;
            urib.Path = "/ws.php";
            urib.Scheme = "http://";

            PwgServiceProvider.Instance.PwgSetupService.Setup("TestPiwigoLib", null, urib.Uri);


            Console.WriteLine(urib.Uri.AbsoluteUri);

            try
            {
                PwgSession sess = null;
                sess = PwgServiceProvider.Instance.PwgSessionService.GetPwgSession();
                Console.WriteLine("user : " + sess.UserName + " " + sess.Status);

                sess = PwgServiceProvider.Instance.PwgSessionService.Login(tbUser.Text, tbPassword.Text);
                Console.WriteLine("user : " + sess.UserName + " " + sess.Status);

                //Boolean rc = PwgServiceProvider.Instance.PwgTagsService.AddTag("Loic");

                //List<PwgTag> lstTag = PwgServiceProvider.Instance.PwgTagsService.GetAdminListOfTag();

                //Int32 Page = 0;
                //Int32 PerPage = 0;
                //Int32 Count = 0;

                //List<PwgImage> lstImgTag = PwgServiceProvider.Instance.PwgTagsService.GetListOfImagesFormTags(new List<Int32>() { 1, 7 },
                //    null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null,
                //    ref Page, ref PerPage, ref Count);

                //List<PwgImage> lstImgCat = PwgServiceProvider.Instance.PwgAlbumsService.GetListOfImagesFormAlbum(1,
                //    null, null, null, null, null, null, null, null, null, null, null, null, null, null, null,
                //    ref Page, ref PerPage, ref Count);

                //Console.WriteLine("lstImg : Page " + Page.ToString() + " PerPage " + PerPage);

                List<PwgAlbum> lstadmCat = PwgServiceProvider.Instance.PwgAlbumsService.GetAdminListOfAlbum(); 

                List<PwgAlbum> lstCat = PwgServiceProvider.Instance.PwgAlbumsService.GetListOfAlbum(0, true, false);

                Int32 newid = 0;
                String msg = String.Empty;
                Boolean rc;
                // rc = PwgServiceProvider.Instance.PwgAlbumsService.AddAlbum("test_cat", 1, ref  newid, ref msg);
                //List<PwgAlbum> lstCat = PwgServiceProvider.Instance.PwgAlbumsService.GetAdminListOfAlbum(); 
                //Console.WriteLine(String.Format("newid : {0} message : {1}", newid,msg));
                //rc = PwgServiceProvider.Instance.PwgAlbumsService.UpdateAlbumInfo(newid, "test2", "rename cat");
                //Boolean rc = PwgServiceProvider.Instance.PwgAlbumsService.DeleteAlbum(newid, sess.SecurityToken, PwgAlbumPhotoDeletionModeEnum.None);
                //rc = PwgServiceProvider.Instance.PwgAlbumsService.MoveAlbum(new List<Int32>() { newid }, PwgAlbum.RootAlbumId, sess.SecurityToken);

                //lstCat = PwgServiceProvider.Instance.PwgAlbumsService.GetAdminListOfAlbum(); 

                //FileInfo fiBig = new FileInfo("C:\\Users\\bayral\\Downloads\\49133_1636405570_2648232_n.jpg");
                //FileInfo fiThumb = new FileInfo(MakeThumb(fiBig, "C:\\Users\\bayral\\Downloads\\49133_1636405570_2648232_n_thum.jpg", 64));
                //FileInfo fiLow = new FileInfo(MakeThumb(fiBig, "C:\\Users\\bayral\\Downloads\\49133_1636405570_2648232_n_low.jpg", 256));

                //FileInfo fiBig = new FileInfo("C:\\temp\\Oryx.jpg");
                //FileInfo fiThumb = new FileInfo(MakeThumb(fiBig, "C:\\temp\\Oryx_thumb.jpg", 64));
                //FileInfo fiLow = new FileInfo(MakeThumb(fiBig, "C:\\temp\\Oryx_low.jpg", 256));

                //PwgImageAdded imgAdd = PwgServiceProvider.Instance.PwgImagesService.addImageByMultiPartForm(fiBig, null, 1, "benoit", "byarl", "test upload", 0, new List<PwgTag>() { new PwgTag() { Name = "Benoit" }, new PwgTag() { Name = "Noé" } });
                //rc = PwgServiceProvider.Instance.PwgImagesService.addImage(fiBig, fiLow, fiThumb, "Benoit", "bayral", DateTime.Now, "demo", new List<string>() { "1" }, new List<string>() { "Benoit" }, PwgConfidentLevelEnum.All);
                //rc = PwgServiceProvider.Instance.PwgImagesService.DeleteImage(319, sess.SecurityToken);

                //PwgImageInfo info = PwgServiceProvider.Instance.PwgImagesService.getImageInfo(imgAdd.Id, null, null);
                
                //PwgImageRate imgRate = PwgServiceProvider.Instance.PwgImagesService.RateImage(1, 5);

                sess = PwgServiceProvider.Instance.PwgSessionService.Logout();
                Console.WriteLine("user : " + sess.UserName + " " + sess.Status);
            }
            catch (PwgServiceException ex)
            {
                Console.WriteLine("Erreur " + ex.NumeroErr + " " + ex.MessageErr);
                Console.WriteLine(ex.Message);
            }
        }

        private string MakeThumb(FileInfo fi, String ext, int size)        
        {
        // create an image object, using the filename we just retrieved
        System.Drawing.Image image = System.Drawing.Image.FromFile(fi.FullName);

        // create the actual thumbnail image
        System.Drawing.Image thumbnailImage = image.GetThumbnailImage(size, size, new System.Drawing.Image.GetThumbnailImageAbort(ThumbnailCallback), IntPtr.Zero);

        // make a memory stream to work with the image bytes
        FileStream imageStream = new FileStream(ext, FileMode.OpenOrCreate);

        // put the image into the memory stream
        thumbnailImage.Save(imageStream, System.Drawing.Imaging.ImageFormat.Jpeg);

        imageStream.Close();
        return ext;
        }

        /// <summary>
        /// Required, but not used
        /// </summary>
        /// <returns>true</returns>
        public bool ThumbnailCallback()
        {
            return true;
        }


        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            global::TestPiwigoLib.Properties.Settings.Default.Save();
        }
    }
}
